#!/bin/bash
set -e -u

STARTDIR=$(pwd)

PKGDIR=./release
mkdir -p $PKGDIR

VERSION=`awk -F, '/AC_INIT/ {print $2}' ./configure.ac`
TARBALL="./webcontentcontrol-$VERSION.tar.gz"
DEB="./webcontentcontrol_$VERSION-1_i386.deb"

echo "PKGDIR=$PKGDIR"
echo "VERSION=$VERSION"
echo "TARBALL=$TARBALL"
echo "DEB=$DEB"

./testing/make_tarball.sh .
./testing/make_deb.sh $TARBALL $PKGDIR 

#cp $TARBALL $PKGDIR
cd $PKGDIR

#gpg --armor --sign --detach-sig $TARBALL
#gpg --armor --sign --detach-sig $DEB

#confirm results visually
echo "============"
ls -lrt
echo "============"

#Upload to PPA :)
dput gchildcare webcontentcontrol_$VERSION-0ubuntu1_source.changes

#Return to initial dir
cd $STARTDIR
echo "Current directory=$(pwd)"

./testing/increment_version.sh

